#
# spec file for package python-pandocfilters
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pandocfilters
Version:        1.5.1
Release:        1.3
Summary:        Python module for writing pandoc filters
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/jgm/pandocfilters
Source:         https://pypi.io/packages/source/p/pandocfilters/pandocfilters-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     pandoc >= 1.16
BuildArch:      noarch

%python_subpackages

%description
Pandoc filters are pipes that read a JSON serialization of the
Pandoc AST from stdin, transform it in some way, and write it
to stdout. They can be used with pandoc (>= 1.12) either using
pipes.
pandoc -t json -s | ./caps.py | pandoc -f json
or using the --filter (or -F) command-line option.

%prep
%setup -q -n pandocfilters-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Jan 20 2024 Dirk Müller <dmueller@suse.com>
- update to 1.5.1:
  * Don't raise an error if the directory used to store images
    already exists (#104, Augusto Zanellato).
* Tue Jul 25 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sun Jul 17 2022 Dirk Müller <dmueller@suse.com>
- update to 1.5.0:
  * Added an environment variable `PANDOCFILTER_CLEANUP` that when
    `get_filename4code` is used, temporary directory will be cleaned up
    automatically.
  * `examples/` is no longer included in the distribution (i.e. source
    distribution or binary wheels found on PyPI.) This should be a backward
    incompatible change as `examples/` is never exposed as a Python module, nor
    entry points.
  * Added a couple of examples.
* Mon Oct 25 2021 Matej Cepl <mcepl@suse.com>
- Making rpmlint more happy.
* Mon Oct 25 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Mark exampls/*.py non-executable.
* Thu Mar  4 2021 Dirk Müller <dmueller@suse.com>
- update to 1.4.3:
  * LilyPond: take in account width and staffsize from metadata
  * Autodetect gregorio executables
  * Fix metavars example
  * Documentation fixes
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri May 11 2018 toddrme2178@gmail.com
- pandoc is not strictly necessart to use this.
* Sat Nov  4 2017 arun@gmx.de
- update to version 1.4.2:
  * Fixed minor RST error in README.
  * Fixed typo.
  * Change element constructor function elt() to return a list instead
    of a tuple when numargs > 1, enabling elements to be traversed by
    walk().
  * Fix indentation of a doc-string
* Fri Mar 31 2017 toddrme2178@gmail.com
- Initial version
